<div id="comments">
    <h2><?php _e('Comments', '9to5') ?></h2>
    <?php if (post_password_required ()) : ?>
        <p class="nopassword"><?php _e('This post is password protected. Enter the password to view any comments.', '9to5'); ?></p>
    </div>
<?php return;
    endif; ?>

<?php if (have_comments ()) : ?>
        <h3 id="comments-title">        
<?php printf(_n('One Response to %2$s', '%1$s Responses to %2$s', get_comments_number(), '9to5'), number_format_i18n(get_comments_number()), '<em>' . get_the_title() . '</em>'); ?>
    </h3>

<?php if (get_comment_pages_count() > 1 && get_option('page_comment')) : ?>
            <div class="navigation">
                <div class="nav-previous"><?php previous_comments_link(__('<span class="meta-nav">&larr;</span> Older Comments', '9to5')); ?></div>
                <div class="nav-next"><?php next_comments_link(__('Newer Comments <span class="meta-nav">&rarr;</span>', '9to5')); ?></div>
            </div>
<?php endif; ?>

            <ol class="commentlist">
<?php wp_list_comments(); ?>
        </ol>

<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
                <div class="navigation">
                    <div class="nav-previous"><?php previous_comments_link(__('<span class="meta-nav">&larr;</span> Older Comments', '9to5')); ?></div>
                    <div class="nav-next"><?php next_comments_link(__('Newer Comments <span class="meta-nav">&rarr;</span>', '9to5')); ?></div>
                </div>
<?php endif; ?>

<?php else : if (!comments_open()) : ?>
                        <p class="nocomments">
<?php _e('Comments are closed.', '9to5'); ?>
                    </p>
<?php endif; ?>

<?php endif; ?>

<?php comment_form(array('comment_notes_after' => '')); ?>

</div>
