<?php
session_start();
$_SESSION['attach'] = array();
if (!isset($_SESSION['active']))
{
    $allcats = get_categories("hide_empty=0");
    foreach ($allcats as $cat)
    {
        $_SESSION[$cat->category_nicename] = "true";
    }
} clearExpiredPosts();
global $user_login;
get_currentuserinfo();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>
            <?php
            if (function_exists('is_tag') && is_tag())
            {
                single_tag_title('Tag Archive for &quot;');
                echo '&quot; - ';
            }
            elseif (is_archive ())
            {
                wp_title('');
                echo ' ' . __("Archive", "9to5") . ' - ';
            }
            elseif (is_search ())
            {
                echo __("Search for", "9to5") . ' &quot;' . esc_html($s) . '&quot; - ';
            }
            elseif (!(is_404()) && (is_single()) || (is_page()))
            {
                wp_title('');
                echo ' - ';
            }
            elseif (is_404 ())
            {
                echo __("Not Found", "9to5") . ' - ';
            }
            if (is_home ())
            {
                bloginfo('name');
                echo ' - ';
                bloginfo('description');
            }
            else
            {
                bloginfo('name');
            }
            if ($paged > 1)
            {
                echo ' - ' . __("page", "9to5") . ' ' . $paged;
            }
            ?>
        </title>
        <?php wp_head(); ?>
        <link href="<?php echo get_option("9t5_favicon") ?>" rel="shortcut icon" />
        <link rel="stylesheet" href="<?php bloginfo("stylesheet_url") ?>" type="text/css" media="screen" charset="utf-8" />
        <link rel="stylesheet" href="<?php
            $scheme = get_option("9t5_scheme");
            echo get_bloginfo("template_url") . "/css/";
            if (!empty($scheme))
            {
                echo strtolower($scheme);
            }
            else
            {
                echo "light";
            } ?>.css" type="text/css" media="screen" charset="utf-8" />
        <!--[if IE]>
        	<link rel="stylesheet" href="<?php echo get_bloginfo("template_url"); ?>/css/ie8.css" type="text/css" media="screen" charset="utf-8" />
              	<![endif]-->
              <!--[if IE 7]>
              	<link rel="stylesheet" href="<?php echo get_bloginfo("template_url"); ?>/css/ie7.css" type="text/css" media="screen" charset="utf-8" />
              	<![endif]-->
              <!--[if lt IE 7]>
              	<link rel="stylesheet" href="<?php echo get_bloginfo("template_url"); ?>/css/ie6.css" type="text/css" media="screen" charset="utf-8" />
              	<![endif]-->
              <style type="text/css" media="screen">
                  body {
                      background-color:#<?php echo get_option("9t5_background_color"); ?>;
                      background-image:url('<?php echo get_option("9t5_background_image"); ?>');
                      background-position:<?php echo get_option("9t5_background_position"); ?>;
                      background-repeat:<?php echo get_option("9t5_background_repeat"); ?>;
                  }
            <?php if (get_option("9t5_typography") == "Serif")
              {
 ?>
                  body,textarea,select,button,.button,a,.cmf-skinned-select {
                      font-family: Georgia, Times, serif;
                  }
<?php } ?>

          </style>
          <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
          <script type="text/javascript" src="<?php bloginfo("template_url") ?>/scripts/jquery.autocomplete.pack.js"></script>
          <script type="text/javascript" src="<?php bloginfo("template_url") ?>/scripts/jquery.select_skin.js"></script>
          <script type="text/javascript" src="<?php bloginfo("template_url") ?>/scripts/jquery.pngfix.js"></script>
          <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.6/jquery-ui.min.js"></script>
          <script type="text/javascript">
  
              jQuery(document).ready(function() {

                  jQuery("form select.styled").select_skin();
                  jQuery(".wp-post-image").addClass("alignright");
                  jQuery(".listing iframe").attr("width","688");


                  if(jQuery(".hidden").length == jQuery("ol.list li:not(#notice, #results)").length){
                      setTimeout(function(){ jQuery("#notice").fadeIn(); },500);
                  }

<?php if (!isset($_SESSION['active']))
              { ?>
                          jQuery("#all").addClass("active");
<?php } ?>

          jQuery(".categories select").change(function(){
              var filterVar = jQuery(this).val();
              var dataString = 'cat=activeCat&val=' + filterVar;
              if(filterVar=="all"){
                  successURL = "<?php echo get_bloginfo("url"); ?>";
              }else {
                  successURL = "<?php echo get_bloginfo("url") ?>/category/"+filterVar;
              }
              jQuery.ajax({
                  type: "POST",
                  url: "<?php bloginfo('template_url') ?>/scripts/variable.php",
                  data: dataString,
                  success: function(){ window.location = successURL; }
              });
          })

          // Live Filtering

          jQuery("select").change(function(){


              var filter = jQuery('select').val();
              var dataString = 'cat=active&val=' + jQuery(this).attr("id");
              jQuery.ajax({
                  type: "POST",
                  url: "<?php bloginfo('template_url') ?>/scripts/variable.php",
                  data: dataString
              });

              if(filter=="all"){
                  jQuery('ol.list li').removeClass("disabled");
                  jQuery('ol.list li').removeClass("enabled");
                  jQuery(".categories input[type=checkbox]").attr("checked",true);
                  jQuery(".categories input[type=checkbox]").trigger("click");
                  jQuery(".categories input[type=checkbox]").attr("checked",true);
                  updateJobCount();
              } else {
                  jQuery('ol.list .' + filter+":not(#notice, #results)").removeClass("disabled");
                  jQuery('ol.list .' + filter+":not(#notice, #results)").addClass("enabled");

                  jQuery("ol.list li:not(."+filter+", #notice, #results)").addClass("disabled");
                  jQuery("ol.list li:not(."+filter+", #notice, #results)").removeClass("enabled");
                  updateJobCount();
              }

              updateJobCount();
              return false;
          });


          // Live Filtering
          jQuery(".filter li a").click(function(){
              var filter = jQuery(this).attr("id"); // Checked: 6 Aug - Working

              jQuery(".filter li a").removeClass("active");
              jQuery(this).addClass("active");

              var dataString = 'cat=active&val=' + jQuery(this).attr("id");
              jQuery.ajax({
                  type: "POST",
                  url: "<?php bloginfo('template_url') ?>/scripts/variable.php",
                  data: dataString
              });

              if(filter=="all"){
                  jQuery("ol.list li:not(#notice, #results)").animate({"opacity":"1"},300);
                  jQuery('ol.list li:not(#notice, #results)').removeClass("disabled");
                  jQuery('ol.list li:not(#notice, #results)').addClass("enabled");
                  jQuery(".categories input[type=checkbox]").attr("checked",true);
                  jQuery(".categories input[type=checkbox]").trigger("click");
                  jQuery(".categories input[type=checkbox]").attr("checked",true);
                  updateJobCount();
              }else {
                  jQuery("ol.list li."+filter+":not(#notice, #results)").animate({"opacity":"1"},300);
                  jQuery('ol.list .' + filter+":not(#notice, #results)").removeClass("disabled");
                  jQuery('ol.list .' + filter+":not(#notice, #results)").addClass("enabled");

                  jQuery("ol.list li:not(."+filter+", #notice, #results)").animate({"opacity":"1"},300);
                  jQuery("ol.list li:not(."+filter+", #notice, #results)").addClass("disabled");
                  jQuery("ol.list li:not(."+filter+", #notice, #results)").removeClass("enabled");
                  updateJobCount();
              }

              if(jQuery(this).hasClass(".active")){
                  jQuery(this).removeClass(".active");
              }else {
                  jQuery(".filter li a").removeClass(".active");
                  jQuery(this).addClass(".active");
              }

              updateJobCount();
              return false;
          });

          var totalJobs;

          function updateJobCount(){
              totalJobs = jQuery("ol.list li").length;
              if(jQuery("ol.list li.disabled").length!=totalJobs){
                  jQuery("div.paging p.count strong").first().html(totalJobs - jQuery("ol.list li.disabled").length);
              }else {
                  jQuery("div.paging p.count").html("<?php _e('No jobs found', '9to5') ?>");
                  jQuery("span.job-count").text("");
              }
          }

          // Autocomplete
          var data = "<?php
              $dbtags = array_unique($wpdb->get_col("SELECT name FROM $wpdb->terms"));
              $dbtitles = array_unique($wpdb->get_col("SELECT post_title FROM $wpdb->posts"));
              $dbcontent = array_unique($wpdb->get_col("SELECT post_content FROM $wpdb->posts"));
              $dblocations = array_unique($wpdb->get_results("SELECT meta_value FROM $wpdb->postmeta WHERE meta_key = 'location'"));

              $uniqueTags = array_merge($dbtags, $dbtitles, $dbcontent, $dblocations);
              $uniqueTags1 = array_unique($uniqueTags);

              $tags1 = implode(" ", $uniqueTags1);
              $tags2 = strtolower($tags1);
              $tags3 = explode(" ", $tags2);
              $tags4 = array_unique($tags3);

              $final1 = implode(" ", $tags4);
              $final2 = str_replace("\t", " ", $final1);
              $final3 = str_replace("\n", " ", $final2);
              $final4 = str_replace("\r", " ", $final3);
              $final5 = str_replace('"', "", $final4);
              $final6 = str_replace("'", "", $final5);
              $final7 = str_replace(",", "", $final6);
              $final8 = str_replace(".", "", $final7);
              $final9 = strip_tags($final8);

              echo $final9;
?>".split(" ");


          jQuery("#search_box, #tags, input[name=skills_value]").autocomplete(data,{ selectFirst : false  });

          // Sustained Category Filters
          var counter = 0;
          jQuery(".categories input").click(function(){

              if(jQuery(this).attr('checked')==false){
                  var dataString = 'cat=' + jQuery(this).attr("id") + '&val=false';
                  counter++;
                  jQuery.ajax({
                      type: "POST",
                      url: "<?php bloginfo('template_url') ?>/scripts/variable.php",
                      data: dataString
                  });
              }else {
                  var dataString = 'cat=' + jQuery(this).attr("id") + '&val=true';
                  counter++;
                  jQuery.ajax({
                      type: "POST",
                      url: "<?php bloginfo('template_url') ?>/scripts/variable.php",
                      data: dataString
                  });
              }
              updateJobCount();
          });

          var skills = jQuery(".skills").children("li").length;
          var visible = skills - jQuery(".skills").children("li").children("div").children(".hidden").length;
          var maxSkills = <?php echo get_option('9t5_max_skills'); ?>;
          var selected = skills - 3;

          jQuery(".hidden").parent().parent().hide();

          jQuery("#addskill").click(function(){

              visible++;

              if(skills == visible){
                  jQuery(this).fadeOut();
              }

              if(skills >= visible){
                  jQuery(".skills #skill" + visible).removeClass("hidden");
                  jQuery(".skills #skill" + visible).parent().parent().show();
              }

              return false;
          })

          jQuery("#enableApply").change(function(){
              if(jQuery(this).attr("checked")!=true){
                  jQuery(".onPageApplication").addClass("hide");
                  jQuery(".field_apply").addClass("last");
                  firstCheck = false;
              }else {
                  jQuery(".onPageApplication").removeClass("hide");
                  jQuery(".field_apply").removeClass("last");
                  firstCheck = false;
              }
          });

          jQuery("#enableApply").trigger("click");

          jQuery("input[name=anon]").click(function(){
              if(jQuery("input[name=anon]").attr("checked") && jQuery("input[name=company_name_value]").val()!="<?php _e('Anonymous', '9to5') ?>"){

                  jQuery("#companyName").val('<?php _e('Anonymous', '9to5') ?>');
                  jQuery("#companyName").addClass("disabled");
                  jQuery("#companyName").attr("disabled",true);
                  jQuery("#companyName").css("color",'#000');
                  jQuery('#labelcompany_name_value').removeClass('yes').removeClass('no').addClass('yes');
                  jQuery("input[name=anon]").attr("checked",true);
              }else {
                  jQuery("#companyName").val('<?php _e('e.g. Acme Inc.', '9to5') ?>');
                  jQuery("#companyName").removeClass("disabled");
                  jQuery("#companyName").attr("disabled",false);
                  jQuery("#companyName").css("color",'#CCC');
                  jQuery('#labelcompany_name_value').removeClass('yes').removeClass('no').addClass('no');
                  jQuery("input[name=anon]").attr("checked",false);

              }
          });

          jQuery("input[name=anywhere]").click(function(){
              if(jQuery("input[name=anywhere]").attr("checked") && jQuery("input[name=location_value]").val()!="<?php _e('Anywhere', '9to5') ?>"){

                  jQuery("input[name=location_value]").val('<?php _e('Anywhere', '9to5') ?>');
                  jQuery("input[name=location_value]").addClass("disabled");
                  jQuery("input[name=location_value]").attr("disabled",true);
                  jQuery("input[name=location_value]").css("color",'#000');
                  jQuery('#labellocation_value').removeClass('yes').removeClass('no').addClass('yes');
                  jQuery("input[name=anywhere]").attr("checked",true);

              }else {

                  jQuery("input[name=location_value]").val('<?php _e('e.g. San Francisco, USA', '9to5') ?>');
                  jQuery("input[name=location_value]").removeClass("disabled");
                  jQuery("input[name=location_value]").attr("disabled",false);
                  jQuery("input[name=location_value]").css("color",'#CCC');
                  jQuery('#labellocation_value').removeClass('yes').removeClass('no').addClass('no');
                  jQuery("input[name=anywhere]").attr("checked",false);

              }
          });

          jQuery("input[name=noexpire]").click(function(){
              if(jQuery("input[name=noexpire]").attr("checked") && jQuery("#date").val()!="<?php _e('No expiry date', '9to5') ?>"){

                  jQuery("#date").val('<?php _e('No expiry date', '9to5') ?>');
                  jQuery("#date").addClass("disabled");
                  jQuery("#date").attr("disabled",true);
                  jQuery('#labelexpdate').removeClass('yes').removeClass('no').addClass('yes');
                  jQuery("input[name=noexpire]").attr("checked",true);

              }else {

                  jQuery("#date").val('yyyy/mm/dd');
                  jQuery("#date").removeClass("disabled");
                  jQuery("#date").attr("disabled",false);
                  jQuery('#labelexpdate').removeClass('yes').removeClass('no').addClass('no');
                  jQuery("input[name=noexpire]").attr("checked",false);

              }
          });

<?php
              if (is_archive ())
              {
?>

              jQuery("a#all").trigger("click");

<?php } ?>

          jQuery("ul.filter .active").trigger("click");
          updateJobCount();
      });
          </script>
          </head>
          <body>
              <div class="container">
                  <div class="header">
                      <div class="inner mod">
					  <div id="nav">
	<ul>
<li><a title="سایت کاریابی نیشابور" href="index.php">خانه</a></li>
<li><a title="ورود" href="?page_id=94">ورود</a></li>
<li><a title="عضویت" href="?page_id=5">عـضـویـت</a></li>
<li><a title="تعرفه آگهی" href="?page_id=3">تعرفه آگهی</a></li>
<li><a title="درباره" href="?page_id=2">درباره</a></li>
<li><a title="تماس" href="?page_id=9">تماس</a></li>
 
		</ul>
	</div>
                          <div class="logo">
                              <a href="<?php bloginfo("url") ?>"><img alt="<?php bloginfo("name") ?>" src="<?php echo get_bloginfo("template_url"); ?>/images/header.jpg" /></a>
                          </div>
                          

                    <?php
                    if (!is_user_logged_in())
                    {
                    ?>
                    <p class="status">
                        
						<div class="logintop"></div>
						<div class="regtop"></div>
						<div class="yourads"></div>
                        </p>
                    <?php
                    }
                    else
                    {
                    ?>

                        <p class="logedin">
                        وقت بخیر  <strong><?php echo $user_login; ?></strong> 
						عزیز!
    						<br/><br/>
							<a href="#">ارسال آگهی جدید</a> <a href="#">پروفایل کاربری</a> 
                        
                        <a class="logout" href="<?php echo get_bloginfo('wpurl') ?>/wp-login.php?action=logout"><?php _e('Logout', '9to5') ?></a>
                        </p>

                    <?php } ?>

<?php if (get_option("9t5_categorybar") == "Enabled")
                    { ?>
                        <div class="category_menu <?php echo get_option('9t5_color_categories'); ?>">
                        <ul>
                            <li class="cat-item-all"><a href="<?php bloginfo("url") ?>"><?php _e('All Jobs', '9to5') ?></a></li>
<?php wp_list_categories('title_li=&orderby=name&show_count=0'); ?>
                            <li class="rss"><a href="<?php echo get_option("9t5_custom_rss") ?>"><img src="<?php bloginfo("template_url") ?>/images/icon.rss.png" /></a></li>
                                </ul>
                            </div>
                    <?php } ?>

<?php if (is_home ())
                        { ?>
                            <script type="text/javascript" charset="utf-8">
                                jQuery('.category_menu li:first-child').addClass('current-cat');
                            </script>
<?php } ?>
                </div>
            </div>
            <div class="content mod">
                <div class="inner">
