<?php
$maxSize = ini_get('upload_max_filesize');
$maxSize = str_replace('M','',$maxSize);

$options = array(
    array("name" => $themename .' '.__('Options', '9to5'),
        "type" => "title"),
    array("name" => __('Layout', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Category Bar', '9to5'),
        "desc" => __('Choose whether to display the full-width categories bar at the top of the page. Another option is to use the sidebar categories widget.', '9to5'),
        "id" => $shortname . "_categorybar",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array(
        "name" => __('Filter Bar', '9to5'),
        "desc" => __('Select a style for the job type filters on the job list pages. Full tabs or rounded checkboxes.', '9to5'),
        "id" => $shortname . "_filterbar",
        "type" => "select",
        "options" => array("Tabs", "Checkboxes"),
        "std" => "Tabs"),
    array(
        "type" => "fieldset",
        "fields" => array(
            "0" => array(
                "id" => "filter_1",
                "std" => ""),
            "1" => array(
                "id" => "filter_2",
                "std" => ""),
            "2" => array(
                "id" => "filter_3",
                "std" => ""),
        ),
        "name" => __('Filter Types', '9to5'),
        "desc" => __('Add between 2 and 3 job tenure types. These are used for quick filtering on each list page.', '9to5'),
    ),
    array("type" => "close"),
    array("name" => __('Branding', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Custom Logo', '9to5'),
        "desc" => __('To replace the logo used by the theme, enter the full URL of an image here. Note: It should measure no more than 300 x 80px. To upload an image visit','9to5').' <a href=\"'.get_bloginfo("wpurl").'/wp-admin/media-new.php\">'.__('The Media Libary','9to5').'</a>',
        "id" => $shortname . "_logo",
        "type" => "text",
        "std" => ""),
    array("name" => __('Custom Favicon', '9to5'),
        "desc" => __('A favicon is a 16x16 pixel icon that represents your site, displayed in a browsers address bar; paste the URL to a .ico image that you wish to use as the favicon. To upload an image visit','9to5').' <a href=\"'.get_bloginfo("wpurl").'/wp-admin/media-new.php\">'.__('The Media Libary','9to5').'</a>',
        "id" => $shortname . "_favicon",
        "type" => "text",
        "std" => get_bloginfo("url") . "/favicon.ico"),
    array("name" => __('Custom Login Image', '9to5'),
        "desc" => __('To replace the default Wordpress logo on the login screen, enter the full URL of an image here. Note: It should measure 310 x 70px. To upload an image visit','9to5').' <a href=\"'.get_bloginfo("wpurl").'/wp-admin/media-new.php\">'.__('The Media Libary','9to5').'</a>',
        "id" => $shortname . "_wp_login",
        "type" => "text",
        "std" => ""),
    array("type" => "close"),
    array("name" => __('Styling', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Skin', '9to5'),
        "desc" => __('Choose a theme skin. Dark works better with dark backgrounds as the header, sidebar and footer type colors are reversed.', '9to5'),
        "id" => $shortname . "_scheme",
        "type" => "select",
        "options" => array("Light", "Dark"),
        "std" => "Light"),
    array("name" => __('Typography', '9to5'),
        "desc" => __('Choose between Helvetica (sans serif) or Georgia (serif) to set the right mood for your site.', '9to5'),
        "id" => $shortname . "_typography",
        "type" => "select",
        "options" => array("Sans Serif", "Serif"),
        "std" => "Sans Serif"),
    array("name" => __('Background Color', '9to5'),
        "desc" => __('Choose a background color for the site.', '9to5'),
        "id" => $shortname . "_background_color",
        "type" => "text",
        "std" => ""),
    array("name" => __('Background Image', '9to5'),
        "desc" => __('Choose a background image for the site. To upload an image visit','9to5').' <a href=\"'.get_bloginfo("wpurl").'/wp-admin/media-new.php\">'.__('The Media Libary','9to5').'</a>',
        "id" => $shortname . "_background_image",
        "type" => "text",
        "std" => ""),
    array("name" => __('Background Position', '9to5'),
        "desc" => __('Choose the positioning of the background image for the site.', '9to5'),
        "id" => $shortname . "_background_repeat",
        "type" => "select",
        "options" => array("top left", "bottom left", "top right", "bottom right", "top center", "middle center", "bottom center"),
        "std" => "top left"),
    array("name" => __('Background Repeat', '9to5'),
        "desc" => __('Choose a background repeat pattern for the site.', '9to5'),
        "id" => $shortname . "_background_repeat",
        "type" => "select",
        "options" => array("repeat-x", "repeat-y", "repeat", "no-repeat"),
        "std" => "repeat"),
    array("name" => __('Category Background', '9to5'),
        "desc" => __('Choose a category colour scheme. This changes the category menu bar running across the top of the page.', '9to5'),
        "id" => $shortname . "_color_categories",
        "type" => "select",
        "options" => array("black", "green", "blue", "red", "magenta", "orange", "white", "grey"),
        "std" => "black"),
    array("name" => __('Filter Background', '9to5'),
        "desc" => __('Choose a primary theme colour scheme. This changes the button and link styles across the site.', '9to5'),
        "id" => $shortname . "_color_primary",
        "type" => "select",
        "options" => array("grey", "green", "blue", "red", "magenta", "orange", "black"),
        "std" => "grey"),
    array("name" => __('Subtitle Background', '9to5'),
        "desc" => __('Choose a secondary theme colour. This changes the top filter style across the site.', '9to5'),
        "id" => $shortname . "_color_secondary",
        "type" => "select",
        "options" => array("red", "green", "blue", "magenta", "orange", "white", "grey", "black"),
        "std" => "red"),
    array("name" => __('Title Background', '9to5'),
        "desc" => __('Choose a title background type. This changes the background of the job permalink page and several others across across the site.', '9to5'),
        "id" => $shortname . "_color_tertiary",
        "type" => "select",
        "options" => array("white", "green", "blue", "red", "magenta", "orange", "grey", "black"),
        "std" => "white"),
    array("name" => __('Button Color', '9to5'),
        "desc" => __('Choose a tertiary theme colour. This changes the sub bar style across the site.', '9to5'),
        "id" => $shortname . "_color_button",
        "type" => "select",
        "options" => array("red", "green", "blue", "magenta", "orange", "white", "grey", "black"),
        "std" => "red"),
    array("type" => "close"),
    array("name" => __('Header', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Sign In Link', '9to5'),
        "desc" => __('Enter the URL to your custom login page or leave standart.', '9to5'),
        "id" => $shortname . "_link_login",
        "type" => "text",
        "std" => "wp-login.php"),
    array("name" => __('Register Link', '9to5'),
        "desc" => __('Enter the URL to your custom register page or leave standart.', '9to5'),
        "id" => $shortname . "_link_register",
        "type" => "text",
        "std" => "wp-login.php?action=register"),
    array("type" => "close"),
    array("name" => __('Sidebar', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Quick Search', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 1</a></strong><br /><br />Chose whether or not to enable the default search widget.', '9to5'),
        "id" => $shortname . "_wid_search",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Search on all Pages', '9to5'),
        "desc" => __('Choose whether or not to display search on all pages (if this is disabled, search will on be displayed on pages that do not list jobs).', '9to5'),
        "id" => $shortname . "_search_all",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Disabled"),
    array("name" => __('Categories', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 2</a></strong><br /><br />Chose whether or not to enable categories in the sidebar.', '9to5'),
        "id" => $shortname . "_categories",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Categories Maximum #', '9to5'),
        "desc" => __('Enter a maximum number of categories to display when using enabled.', '9to5'),
        "id" => $shortname . "_category_number",
        "type" => "text",
        "std" => "15"),
    array("name" => __('Smart Tags', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 3</a></strong><br /><br />Chose whether or not to enable a cleaner view of tags in the sidebar.', '9to5'),
        "id" => $shortname . "_tags",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Smart Tag Maximum #', '9to5'),
        "desc" => __('Enter a maximum number of tags to display when using smart tag display.', '9to5'),
        "id" => $shortname . "_tag_number",
        "type" => "text",
        "std" => "15"),
    array("name" => __('CTA', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 4</a></strong><br /><br />Chose whether or not to enable the default call to action widget.', '9to5'),
        "id" => $shortname . "_wid_add",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('CTA Button Text', '9to5'),
        "desc" => __('Change this text to reflect what you want to be displayed on the button.', '9to5'),
        "id" => $shortname . "_button_text",
        "type" => "text",
        "std" => "Post a job"),
    array("name" => __('CTA Button URL', '9to5'),
        "desc" => __('Enter the URL of the page that is used to post jobs.', '9to5'),
        "id" => $shortname . "_job_post_page",
        "type" => "text",
        "std" => get_bloginfo("url") . "/post-a-job/"),
    array("name" => __('CTA Caption Text', '9to5'),
        "desc" => __('Change this text to reflect what you want to be displayed just below the button.', '9to5'),
        "id" => $shortname . "_caption_text",
        "type" => "textarea",
        "std" => "Mauris iaculis porttitor posuere. Praesent id metus massa, ut blandit odio. Proin quis tortor orci."),
    array("name" => __('About Us', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 5</a></strong><br /><br />Chose whether or not to enable the default about us widget.', '9to5'),
        "id" => $shortname . "_wid_about",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('About Us Text', '9to5'),
        "desc" => __('If the about us widget is enabled, text entered in this field will be displayed.', '9to5'),
        "id" => $shortname . "_wid_about_text",
        "type" => "textarea",
        "std" => "Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor. Suspendisse dictum feugiat nisl ut dapibus. Mauris iaculis porttitor posuere. Praesent id metus massa, ut blandit odio. Proin quis tortor orci. Etiam at risus et justo dignissim congue. Donec congue lacinia dui, a porttitor lectus condimentum laoreet. Nunc eu ullamcorper orci."),
    array("name" => __('Advert', '9to5'),
        "desc" => __('<strong><a href=#9t5_wid_order>Display Order: 6</a></strong><br /><br />A standard advert unit suitable for a 120x90 ad with text.', '9to5'),
        "id" => $shortname . "_ad_enabled",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Advert Content (HTML)', '9to5'),
        "desc" => __('This will insert a 120x90 ad in the sidebar.', '9to5'),
        "id" => $shortname . "_ad_code",
        "type" => "textarea",
        "std" => '<a href=&quot;#ad&quot;><img src=&quot;' . get_bloginfo("template_url") . '/images/sample.ad.gif&quot; /></a><p>Donec congue lacinia dui, a porttitor lectus condimentum laoreet nunc eu corper.</p>'),
    array("name" => __('Widget Order', '9to5'),
        "desc" => __('Chose the order in which you would like the widgets above to appear. The Display Order of each is listed above.', '9to5'),
        "id" => $shortname . "_wid_order",
        "type" => "text",
        "std" => "2,1,3,4,5"),
    array("type" => "close"),
    array("name" => __('Footer', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Copyright Notice', '9to5'),
        "desc" => __('Add your copyright notice to the bottom of the site.', '9to5'),
        "id" => $shortname . "_copy_notice",
        "type" => "text",
        "std" => ""),
    array("name" => __('Additional Text', '9to5'),
        "desc" => __('Add some optional text underneath the copyright statement.', '9to5'),
        "id" => $shortname . "_seo",
        "type" => "textarea",
        "std" => ""),
    array("name" => __('Analytics Code', '9to5'),
        "desc" => __('Add your analytics code just before the closing </body> tag by entering it here.', '9to5'),
        "id" => $shortname . "_analytics",
        "type" => "textarea",
        "std" => ""),
    array("type" => "close"),
    array("name" => __('Job Posting', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __("Display 'Salary' field", '9to5'),
        "desc" => __("Allow users to specify jobs salary.", '9to5'),
        "id" => $shortname . "_job_salary",
        "type" => "select",
        "options" => array("Yes", "No"),
        "std" => "No"),
    array("name" => __('Maximum Skills Allowed', '9to5'),
        "desc" => __('Enter the maximum number of skills you will allow users to post for a job.', '9to5'),
        "id" => $shortname . "_max_skills",
        "type" => "text",
        "std" => "10"),
    array("name" => __("Allow Location 'Anywhere'", '9to5'),
        "desc" => __("Allow users to be able to post jobs with a location of 'Anywhere'.", '9to5'),
        "id" => $shortname . "_location_anywhere",
        "type" => "select",
        "options" => array("Yes", "No"),
        "std" => "Yes"),
    array("name" => __('Allow Anonymous Posts', '9to5'),
        "desc" => __('Allow users to post jobs with an anonymous company.', '9to5'),
        "id" => $shortname . "_anon_company",
        "type" => "select",
        "options" => array("Yes", "No"),
        "std" => "Yes"),
    array("name" => __('Allow Permanent Posts', '9to5'),
        "desc" => __('Allow users to post jobs that do not expire.', '9to5'),
        "id" => $shortname . "_noexpire",
        "type" => "select",
        "options" => array("Yes", "No"),
        "std" => "No"),
    array("type" => "close"),
    array("name" => __('Job Reading', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Require resume', '9to5'),
        "desc" => __('Use this option for enabling or disabling requiment to upload contractor resume in application form.', '9to5'),
        "id" => $shortname . "_resume_required",
        "type" => "select",
        "options" => array("Yes", "No"),
        "std" => "Yes"),
    array("name" => __('Allowed resume file types', '9to5'),
        "desc" => __('Enter a comma-separated file types allowed for upload in Application Form. Or enter <b>*</b> to remove file types restrictions.', '9to5'),
        "id" => $shortname . "_filetypes_allowed",
        "type" => "text",
        "std" => "txt,pdf,doc,zip,rar,7z,tar,tar.gz"),
    array("name" => __('Max resume file size (MB)', '9to5'),
        "desc" => __('Enter max file size allowed for upload in Application Form. <b>PLEASE NOTE:</b> If you entered size larger than in "upload_max_filesize" PHP directive, default value will be used.', '9to5'),
        "id" => $shortname . "_files_maxsize",
        "type" => "text",
        "std" => $maxSize),
    array("name" => __('Share button in Jobs', '9to5'),
        "desc" => __('Use this option for enabling or disabling share button in job reading.', '9to5'),
        "id" => $shortname . "_share_job",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Share button in Blogs', '9to5'),
        "desc" => __('Use this option for enabling or disabling share button in blogs reading.', '9to5'),
        "id" => $shortname . "_share_blog",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __('Custom RSS Feed', '9to5'),
        "desc" => __('Set your own RSS feed (e.g. Feedburner).', '9to5'),
        "id" => $shortname . "_custom_rss",
        "type" => "text",
        "std" => get_bloginfo("url") . "/feed/"),
    array("name" => __('Safe Email Display', '9to5'),
        "desc" => __('Use PHP to hide email addresses from spammers. <strong>PLEASE NOTE:</strong> This method does not guarantee the email addresses against all spam bots.', '9to5'),
        "id" => $shortname . "_safe_emails",
        "type" => "select",
        "options" => array("Enabled", "Disabled"),
        "std" => "Enabled"),
    array("name" => __("Show the 'NEW' tag", '9to5'),
        "desc" => __("Choose whether or not you would like to display the 'NEW' tag on newly posted jobs", '9to5'),
        "id" => $shortname . "_new_tag",
        "type" => "check",
        "std" => "on"),
    array("name" => __('New Badge Display', '9to5'),
        "desc" => __('Enter how many days after posting the new badge should be displayed for.', '9to5'),
        "id" => $shortname . "_new_days",
        "type" => "text",
        "std" => "7"),
    array("type" => "close"),
    array("name" => __('Payments', '9to5'),
        "type" => "section"),
    array("type" => "open"),
    array("name" => __('Enable Paid Listings', '9to5'),
        "desc" => __('Choose whether or not to charge users to post jobs.', '9to5'),
        "id" => $shortname . "_pp_enabled",
        "type" => "checkbox",
        "std" => ""),
    array("name" => __('PayPal Email', '9to5'),
        "desc" => __('Enter your PayPal email address - this is the account which will be credited.', '9to5'),
        "id" => $shortname . "_pp_email",
        "type" => "text",
        "std" => ""),
    array("name" => __('Default currency', '9to5'),
        "desc" => __('Use this option to set default currency for paid listings.', '9to5'),
        "id" => $shortname . "_currency",
        "type" => "select",
        "options" => array("USD", "EUR", "AUD", "GBP", "HUF", "DKK", "ILS", "CAD", "MXN", "NZD", "NOK", "PLN", "SGD", "CZK", "SEK", "CHF", "JPY", "RUB"),
        "std" => "USD"),
    array("name" => __('Cost per Job', '9to5'),
        "desc" => __('Enter an amount in USD to charge for each job listing.', '9to5'),
        "id" => $shortname . "_pp_cost",
        "type" => "text",
        "std" => "25.00"),
    array("name" => __('Header Image', '9to5'),
        "desc" => __("Enter the URL of an image (90x750px) to use when customers are using the PayPal site, if this is left blank your email address will be displayed in it's place.", '9to5'),
        "id" => $shortname . "_pp_image",
        "type" => "text",
        "std" => ""),
    array("name" => __('Return Button Text', '9to5'),
        "desc" => __('Enter some text to be displayed on the button users click on the PayPal site to return to post a job.', '9to5'),
        "id" => $shortname . "_pp_text",
        "type" => "text",
        "std" => "Return to post a job"),
    array("type" => "close"),
);
?>
